Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2.webservice
Class LiteralXML.Handler

    java.lang.Object
      |
      +--oracle.portal.utils.xml.v2.DefaultNodeHandler
            |
            +--oracle.portal.provider.v2.webservice.LiteralXML.Handler

All Implemented Interfaces:
  NodeHandler

Enclosing class:
  LiteralXML

public static class LiteralXML.Handler
extends DefaultNodeHandler

`LiteralXML.Handler` is the `NodeHandler` that should be used to process XML descriptions of a `LiteralXML` object.

See Also:
  `LiteralXML`

Constructor Summary
`LiteralXML.Handler()`

Method Summary
`void` | `processNode(org.w3c.dom.Node n, java.lang.Object o)` Recursively processes all the children of a given XML node in the context of a `LiteralXML` object represented by that node, in order to populate the `LiteralXML` and establish parameter bindings .

Methods inherited from class oracle.portal.utils.xml.v2.DefaultNodeHandler
`getApplicationObjectForElement, getHandlerForElement, handleSimpleElement, invokePostInitialize, invokePreInitialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiteralXML.Handler

    public LiteralXML.Handler()

Method Detail

### processNode

    public void processNode(org.w3c.dom.Node n,
                            java.lang.Object o)
                     throws NodeHandlerException

  Recursively processes all the children of a given XML node in the context of a `LiteralXML` object represented by that node, in order to populate the `LiteralXML` and establish parameter bindings .

  Specified by:
    `processNode` in interface `NodeHandler`
  Overrides:
    `processNode` in class `DefaultNodeHandler`
  Parameters:
    `n` - current node whose children will be processed to populate the context application object.
    `o` - the context application object. Should be a `LiteralXML`.
  Throws:
    `NodeHandlerException` - if given object is not a valid `LiteralXML`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| OracleAS PDK for Java 9.0.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002,2003 Oracle Corporation. All Rights Reserved.